Page MenuHomePhabricator

Remove the mfLazyLoadReferences and mfLazyLoadImages cookie
Closed, ResolvedPublic3 Story Points

Description

Background

The mfLazyLoadReferences cookie was added in rEMFR10ea53879ec1: Allow optin to lazy loaded references via cookie (T129693: Lazy load references in mobile beta channel) so that the lazily loaded references feature could be enabled for a fraction of the overall population of users.

As the lazily loaded images feature is now deployed to users who have opted into the mobile site's beta mode, this cookie is now redundant.

The mfLazyLoadImages cookie was added in rEMFR89ad4e5f3c00: Allow opt in to lazy loaded images via cookie (T127883: Enable lazy loaded images for 50% of users in production) so that the lazily loaded images feature could be enabled for a fraction of the overall population of users.

As the lazily loaded images feature is now fully deployed, this cookie is now redundant.

AC

  • Remove all references to mfLazyLoadReferences and MobileContext::LAZY_LOAD_REFERENCES_COOKIE_{NAME,VALUE} from MobileFrontend codebase.
  • Remove any reference to the mfLazyLoadReferences cookie from the MobileFrontend on-wiki documentation.
  • Remove all references to mfLazyLoadedImages and MobileContext::LAZY_LOAD_IMAGES_COOKIE_{NAME,VALUE} from MobileFrontend codebase.

Sign off steps

  • A developer should verify that images continue to lazy load in stable

@phuedx: https://www.youtube.com/watch?v=VL3kuK0YCZc

  • A developer should verify that the "Notes" and "Reference" sections are lazy loaded in beta

@phuedx: https://www.youtube.com/watch?v=MHQ1BgCG5lI

  • Remove any reference to the mfLazyLoadedImages cookie from the MobileFrontend on-wiki documentation.
  • Update the WMF cookie policy, if applicable. (nothing applies here but I've sent an email about how that page is up to date entitled "Cookie statement out of date")
  • Setup a card to remove any references to these cookies in Varnish (cc Operations ) - Done in T175381

Event Timeline

phuedx created this task.Jun 28 2017, 1:04 PM
Restricted Application added subscribers: TerraCodes, Aklapper. · View Herald TranscriptJun 28 2017, 1:04 PM
Jdlrobson triaged this task as Normal priority.
Jdlrobson renamed this task from Remove the mfLazyLoadReferences cookie to Remove the mfLazyLoadReferences and mfLazyLoadImages cookie.
Jdlrobson updated the task description. (Show Details)Jul 5 2017, 4:23 PM
Jdlrobson set the point value for this task to 3.
Jdlrobson updated the task description. (Show Details)
Jdlrobson moved this task from Backlog to Bugs on the MobileFrontend board.Jul 13 2017, 5:43 PM
Jdlrobson moved this task from Bugs to Tasks on the MobileFrontend board.Jul 13 2017, 5:47 PM
Jdlrobson moved this task from Tasks to Tech debt on the MobileFrontend board.
pmiazga claimed this task.

Change 376733 had a related patch set uploaded (by Pmiazga; owner: Pmiazga):
[mediawiki/extensions/MobileFrontend@master] Drop mfLazyLoadReferences and mfLazyLoadedImages cookies

https://gerrit.wikimedia.org/r/376733

pmiazga updated the task description. (Show Details)Sep 8 2017, 3:31 PM

Change 376733 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Drop mfLazyLoadReferences and mfLazyLoadedImages cookies

https://gerrit.wikimedia.org/r/376733

@ovasileva:

Update the WMF cookie policy, if applicable. (nothing applies here but I've sent an email about how that page is up to date entitled "Cookie statement out of date")

Per @dr0ptp4kt, this is on you by default. Since the example email was sent to both of us, I don't mind owning this.

MBinder_WMF reassigned this task from pmiazga to phuedx.Sep 13 2017, 5:08 PM
MBinder_WMF added a subscriber: pmiazga.
phuedx removed phuedx as the assignee of this task.EditedSep 15 2017, 11:23 AM

I've emailed WMF-Legal asking them to update the cookie statement and the Privacy Policy where applicable.

phuedx claimed this task.Sep 18 2017, 5:16 PM

I'm going to sign this off today!

phuedx updated the task description. (Show Details)Sep 18 2017, 5:25 PM
phuedx updated the task description. (Show Details)Sep 18 2017, 5:32 PM
phuedx updated the task description. (Show Details)Sep 18 2017, 5:54 PM
phuedx closed this task as Resolved.Sep 18 2017, 6:01 PM

🎉🎉🎉